Revoke onboarding invite
Revoke an onboarding invite, rendering the invitation link unusable.
To access this endpoint using an access token
you'll need to specify the /accounts.write scope.
DELETE
/onboarding-invites/{code}
curl -X DELETE "https://api.moov.io/onboarding-invites/{code}" \
-H 'Authorization: Bearer {token}' \
import { SDK } from "openapi";
const sdk = new SDK({
xMoovVersion: "v2024.01.00",
});
async function run() {
const result = await sdk.onboarding.revokeInvite({
code: "N1IA5eWYNh",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use OpenAPI\OpenAPI;
$sdk = OpenAPI\SDK::builder()
->setXMoovVersion('v2024.01.00')
->build();
$response = $sdk->onboarding->revokeInvite(
code: 'N1IA5eWYNh'
);
if ($response->statusCode === 200) {
// handle response
}from openapi import SDK
with SDK(
x_moov_version="v2024.01.00",
) as sdk:
res = sdk.onboarding.revoke_invite(code="N1IA5eWYNh")
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.SDK;
import org.openapis.openapi.models.operations.RevokeOnboardingInviteResponse;
public class Application {
public static void main(String[] args) throws Exception {
SDK sdk = SDK.builder()
.xMoovVersion("v2024.01.00")
.build();
RevokeOnboardingInviteResponse res = sdk.onboarding().revokeInvite()
.code("N1IA5eWYNh")
.call();
// handle response
}
}require 'openapi'
Models = ::OpenApiSDK::Models
s = ::OpenApiSDK::SDK.new(
x_moov_version: 'v2024.01.00',
)
res = s.onboarding.revoke_invite(code: 'N1IA5eWYNh')
if res.status_code == 200
# handle response
endThe request completed successfully, but there is no content to return.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
code
string
required